maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Macros | Functions | Variables
CMakeCXXCompilerId.cpp File Reference

Go to the source code of this file.

## Macros
#define | __has_include(x) 0
#define | COMPILER_ID ""
#define | STRINGIFY_HELPER(X) #X
#define | STRINGIFY(X) STRINGIFY_HELPER(X)
#define | PLATFORM_ID
#define | ARCHITECTURE_ID
#define | DEC(n)
#define | HEX(n)
#define | CXX_STD_98 199711L
#define | CXX_STD_11 201103L
#define | CXX_STD_14 201402L
#define | CXX_STD_17 201703L
#define | CXX_STD_20 202002L
#define | CXX_STD_23 202302L
#define | CXX_STD __cplusplus

## Functions
int | main (int argc, char *argv[])

## Variables
char const * | info_compiler = "INFO" ":" "compiler[" "" "]"
char const * | info_platform = "INFO" ":" "platform[" "]"
char const * | info_arch = "INFO" ":" "arch[" "]"
const char * | info_language_standard_default
const char * | info_language_extensions_default

## Macro Definition Documentation

## ◆ __has_include

#define __has_include | ( |  | x | ) | 0

Definition at line 11 of file CMakeCXXCompilerId.cpp.

## ◆ ARCHITECTURE_ID

#define ARCHITECTURE_ID

Definition at line 754 of file CMakeCXXCompilerId.cpp.

## ◆ COMPILER_ID

#define COMPILER_ID ""

Definition at line 443 of file CMakeCXXCompilerId.cpp.

## ◆ CXX_STD

#define CXX_STD __cplusplus

Definition at line 891 of file CMakeCXXCompilerId.cpp.

## ◆ CXX_STD_11

#define CXX_STD_11 201103L

Definition at line 840 of file CMakeCXXCompilerId.cpp.

## ◆ CXX_STD_14

#define CXX_STD_14 201402L

Definition at line 841 of file CMakeCXXCompilerId.cpp.

## ◆ CXX_STD_17

#define CXX_STD_17 201703L

Definition at line 842 of file CMakeCXXCompilerId.cpp.

## ◆ CXX_STD_20

#define CXX_STD_20 202002L

Definition at line 843 of file CMakeCXXCompilerId.cpp.

## ◆ CXX_STD_23

#define CXX_STD_23 202302L

Definition at line 844 of file CMakeCXXCompilerId.cpp.

## ◆ CXX_STD_98

#define CXX_STD_98 199711L

Definition at line 839 of file CMakeCXXCompilerId.cpp.

## ◆ DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

Definition at line 758 of file CMakeCXXCompilerId.cpp.

## ◆ HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

Definition at line 769 of file CMakeCXXCompilerId.cpp.

## ◆ PLATFORM_ID

#define PLATFORM_ID

Definition at line 574 of file CMakeCXXCompilerId.cpp.

## ◆ STRINGIFY

#define STRINGIFY | ( |  | X | ) | STRINGIFY_HELPER(X)

Definition at line 464 of file CMakeCXXCompilerId.cpp.

## ◆ STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) | #X

Definition at line 463 of file CMakeCXXCompilerId.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 924 of file CMakeCXXCompilerId.cpp.

References info_arch, info_compiler, info_language_extensions_default, info_language_standard_default, and info_platform.

## Variable Documentation

## ◆ info_arch

char const* info_arch = "INFO" ":" "arch[" "]"

Definition at line 835 of file CMakeCXXCompilerId.cpp.

Referenced by main().

## ◆ info_compiler

char const* info_compiler = "INFO" ":" "compiler[" "" "]"

Definition at line 450 of file CMakeCXXCompilerId.cpp.

Referenced by main().

## ◆ info_language_extensions_default

const char* info_language_extensions_default

Initial value:
= "INFO" ":" "extensions_default["
"OFF"
"]"

Definition at line 912 of file CMakeCXXCompilerId.cpp.

Referenced by main().

## ◆ info_language_standard_default

const char* info_language_standard_default

Initial value:
= "INFO" ":" "standard_default["
"98"
"]"

Definition at line 894 of file CMakeCXXCompilerId.cpp.

Referenced by main().

## ◆ info_platform

char const* info_platform = "INFO" ":" "platform[" "]"

Definition at line 834 of file CMakeCXXCompilerId.cpp.

Referenced by main().